<?php


namespace App\Repositories;


use App\Models\CommonQuestion;

class CommonQuestionsRepository
{
    public function index()
    {
        return CommonQuestion::latest()->get();
    }

    public function store()
    {
        $topic = new CommonQuestion();
        $topic['name'] = request()->name;
        $topic['email'] = request()->email;
        $topic['question'] = request()->question;
        $topic['answer'] = request()->answer;
        $topic['show'] = request()->show;
        $topic->save();
    }

    public function show($id)
    {
        return CommonQuestion::find($id);
    }

    public function update($id)
    {
        $topic = CommonQuestion::find($id);
        $topic['name'] = request()->name;
        $topic['email'] = request()->email;
        $topic['question'] = request()->question;
        $topic['answer'] = request()->answer;
        $topic['show'] = request()->show;
        $topic->update();
    }

    public function destroy($id)
    {
        CommonQuestion::destroy($id);
    }

}
