<?php


namespace App\Repositories;


use App\Models\CourseRequest;

class CourseRequestsRepositories
{

    public function index($paid)
    {
        return CourseRequest::where('paid', $paid)->latest()->get();
    }

    public function store()
    {
        //
    }

    public function show($id)
    {
        return CourseRequest::find($id);
    }

    public function update($id)
    {
        $topic = CourseRequest::find($id);
        $topic['admin_accept'] = request()->admin_accept;;
        $topic->update();
        $notification = new NotificationsRepository();
        if ($topic->admin_accept == 'accepted') {
            $user_courses = new UserCoursesRepositories();
            $user_courses->add_course_to_user($topic->user_id, $topic->course_id, $topic->id);
            $notification->saveNotification($topic->user_id, 'تم تاكيد الاشتراك فى الدوره ' . $topic->course->title['ar'], 'Your subscription to the course has been confirmed ' . $topic->course->title['en'], 'course');
        } elseif ($topic->admin_accept == 'refused') {
            $notification->saveNotification($topic->user_id, 'تم رفض الاشتراك فى الدوره ' . $topic->course->title['ar'], 'Participation in the course was refused ' . $topic->course->title['en'], 'course');
        }
    }

    public function destroy($id)
    {
        CourseRequest::destroy($id);
    }


}
