<?php


namespace App\Repositories;


use App\Models\Exam;

class ExamsRepository
{

    public function index()
    {
        return Exam::latest()->get();
    }

    public function store()
    {
        $topic = new Exam();
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        if (request()->hasFile('file')) $topic->setFileAttribute();
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->save();
    }

    public function show($id)
    {
        return Exam::find($id);
    }

    public function update($id)
    {
        $topic = Exam::find($id);
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        if (request()->hasFile('file')) $topic->setFileAttribute();
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->update();
    }

    public function destroy($id)
    {
        Exam::destroy($id);
    }


}
