<?php


namespace App\Repositories;


use App\Models\User;
use App\Repositories\StudentsRepository;

class StudentsSubscribersRepository
{
    public function index()
    {
        return User::whereHas('courses')->get();
    }


    public function update($id)
    {
        User::whereId($id)->update([
            'status' => request()->status
        ]);
    }


    public function course_students($course_id)
    {
        $course = new CoursesRepository();
        $course = $course->show($course_id);
        return $course->students;
    }
}
