@extends('admin.layout.master')
@section('title', 'التحقق من التحويل ')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">التحقق من التحويل </h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('update_topic_request',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">نوع التحويل</label>
                                <p> {{getPaymentStatus($row->payment_type)}} </p>


                            </div>
                            @if(getPaymentStatus($row->payment_type) == 'bank')


                                <div class="form-group">
                                    <label for="exampleInputEmail1">البنك المحول إلية</label>
                                    <p> {{$row->bank ? $row->bank->bank_name['ar'] : "لم يتم التحويل من البنك"}} </p>


                                </div>
                                <div class="form-group">
                                    <label for="exampleInputEmail1">البنك المحول منة</label>
                                    <p> {{$row->bank_name ? $row->bank_name : 'لم يتم التحويل من البنك'}} </p>

                                </div>

                                <div class="form-group">
                                    <label for="exampleInputEmail1">رقم الحساب</label>
                                    <p> {{$row->bank_account_number ? $row->bank_account_number : 'لم يتم التحويل من البنك'}} </p>

                                </div>
                                <div class="form-group">
                                    <label for="exampleInputEmail1">رقم الإيبان</label>
                                    <p> {{$row->bank_iban_number ? $row->bank_iban_number : 'لم يتم التحويل من البنك'}} </p>

                                </div>
                            @endif
                            <div class="form-group">
                                <label for="exampleInputEmail1">حالة الموافقة والرفض للأدمن</label>

                                <select name="admin_accept" required class="form-control">
                                    <option {{$row->admin_accept == 'pending'  ? 'selected' : ''}} value="pending">
                                        معلق
                                    </option>
                                    <option {{$row->admin_accept == 'accepted'? 'selected' : ''}} value="accepted">تم
                                        الموافقة
                                    </option>
                                    <option {{$row->admin_accept == 'refused'? 'selected' : ''}} value="refused">تم
                                        الرفض
                                    </option>
                                </select>
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
