<?php $__env->startSection('title', 'الاعدادات'); ?>
<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                <?php echo $__env->make('admin.layout.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('settings.update',$row->id)); ?>"
                              enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>

                            <div class="row">

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputsnapchat">اسناب شات</label>
                                        <input type="text" class="form-control"
                                               value="<?php echo e($row->snapchat); ?>"
                                               name="snapchat"
                                               id="exampleInputsnapchat"
                                               placeholder="اسناب شات">
                                        <?php if($errors->has('snapchat')): ?>
                                            <small
                                                class="text-danger"><?php echo e($errors->first('snapchat')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputtwitter">تويتر</label>
                                        <input type="text" class="form-control"
                                               value="<?php echo e($row->twitter); ?>"
                                               name="twitter"
                                               id="exampleInputtwitter"
                                               placeholder="تويتر">
                                        <?php if($errors->has('twitter')): ?>
                                            <small
                                                class="text-danger"><?php echo e($errors->first('twitter')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputinstagram">انستجرام</label>
                                        <input type="text" class="form-control"
                                               value="<?php echo e($row->instagram); ?>"
                                               name="instagram"
                                               id="exampleInputinstagram"
                                               placeholder="انستجرام">
                                        <?php if($errors->has('instagram')): ?>
                                            <small
                                                class="text-danger"><?php echo e($errors->first('instagram')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputwhatsapp">واتس اب</label>
                                        <input type="text" class="form-control"
                                               value="<?php echo e($row->whatsapp); ?>"
                                               name="whatsapp"
                                               id="exampleInputwhatsapp"
                                               placeholder="واتس اب">
                                        <?php if($errors->has('whatsapp')): ?>
                                            <small
                                                class="text-danger"><?php echo e($errors->first('whatsapp')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputzbony_link">لينك دفع زبوني</label>
                                        <input type="text" class="form-control"
                                               value="<?php echo e($row->zbony_link); ?>"
                                               name="zbony_link"
                                               id="exampleInputzbony_link"
                                               placeholder="لينك دفع زبوني">
                                        <?php if($errors->has('zbony_link')): ?>
                                            <small
                                                class="text-danger"><?php echo e($errors->first('zbony_link')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputsala_link">لينك دفع سلة</label>
                                        <input type="text" class="form-control"
                                               value="<?php echo e($row->sala_link); ?>"
                                               name="sala_link"
                                               id="exampleInputsala_link"
                                               placeholder="لينك دفع سلة">
                                        <?php if($errors->has('sala_link')): ?>
                                            <small
                                                class="text-danger"><?php echo e($errors->first('sala_link')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputabout_us">من نجن بالعربية</label>
                                        <textarea name="about_us_ar" class="form-control"
                                                  placeholder="من نجن بالعربية"><?php echo e(old('about_us_ar')); ?></textarea>
                                        <?php if($errors->has('about_us_ar')): ?>
                                            <small class="text-danger"><?php echo e($errors->first('about_us_ar')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputabout_us_en">من نجن بالانجليزية</label>
                                        <textarea id="exampleInputabout_us_en" name="about_us_en" class="form-control"
                                                  placeholder="من نجن بالانجليزية"><?php echo e(old('about_us_en')); ?></textarea>
                                        <?php if($errors->has('about_us_en')): ?>
                                            <small class="text-danger"><?php echo e($errors->first('about_us_en')); ?></small>
                                        <?php endif; ?>
                                    </div>
                                </div>


                            </div>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>


        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/educourses/resources/views/admin/settings/index.blade.php ENDPATH**/ ?>