<?php


namespace App\Repositories;


use App\Models\NewTopic;

class NewTopicsRepository
{

    public function index()
    {
        return NewTopic::latest()->get();
    }

    public function store()
    {
        $topic = new NewTopic();
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        $topic['description->ar'] = request()->description_ar;
        $topic['description->en'] = request()->description_en;
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->save();
    }

    public function show($id)
    {
        return NewTopic::find($id);
    }

    public function update($id)
    {
        $topic = NewTopic::find($id);
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        $topic['description->ar'] = request()->description_ar;
        $topic['description->en'] = request()->description_en;
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic->update();
    }

    public function destroy($id)
    {
        NewTopic::destroy($id);
    }

}
