<?php


namespace App\Repositories;


use App\Models\RevisionPrice;

class RevisionPricesRepository
{

    public function index(){
        return RevisionPrice::all();
    }
    public function show($id){
        return RevisionPrice::findOrFail($id);
    }
    public function store(){
        $price = new RevisionPrice();
        $price['time->ar'] = request()->time_ar;
        $price['time->en'] = request()->time_en;
        $price['price'] = request()->price;
        $price['days_count'] = request()->days_count;
        $price->save();
    }
    public function destroy($id){
        RevisionPrice::destroy($id);
    }
    public function update($id){
        $price = $this->show($id);
        $price['time->ar'] = request()->time_ar;
        $price['time->en'] = request()->time_en;
        $price['price'] = request()->price;
        $price['days_count'] = request()->days_count;
        $price->update();
    }
}

