@extends('admin.layout.master')
@section('title', 'اسعار المراجعات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">اسعار المراجعات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('revision_prices.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم السعر باللغة العربية</label>
                                <small>الإسم الذي سوف يظهر للطالب عند الإختيار</small>
                                <input type="text" class="form-control" value="{{$row->time['ar']}}" name="time_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم بالعربية">
                                @if ($errors->has('time_ar'))
                                    <small class="text-danger">{{ $errors->first('time_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم السعر باللغة الإنجليزية</label>
                                <small>الإسم الذي سوف يظهر للطالب عند الإختيار</small>
                                <input type="text" class="form-control" value="{{$row->time['en']}}" name="time_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم بالإنجليزية">
                                @if ($errors->has('time_en'))
                                    <small class="text-danger">{{ $errors->first('time_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر</label>

                                <input type="number" class="form-control" value="{{$row->price}}" name="price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر">
                                @if ($errors->has('price'))
                                    <small class="text-danger">{{ $errors->first('price') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">عدد الأيام</label>
                                <small>مدة الرد علي الإجابة لن تظهر للطالب</small>
                                <input type="number" class="form-control" value="{{$row->days_count}}" name="days_count"
                                       id="exampleInputEmail1"
                                       placeholder="عدد الايام">
                                @if ($errors->has('days_count'))
                                    <small class="text-danger">{{ $errors->first('days_count') }}</small>
                                @endif
                            </div>




                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
