@extends('admin.layout.master')
@section('title', "طلبات المشتركين")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">طلبات المشتركين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">طلبات المشتركين</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('revision_requests.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الرمز</th>
                        <th>الاسم</th>
                        <th>البريد الالكترونى</th>
                        <th>الحالة</th>
                        <th>نوع الدفع</th>
                        <th>المفترض دفعه</th>

                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>

                            <td>{{$i}}</td>
                            <td>{{$row->code}}</td>
                            <td>{{$row->name}}</td>
                            <td>{{$row->email}}</td>
                            <td>{{$status[$row->status]}}</td>
                            <td>{{$payment_type[$row->payment_type]}}</td>
                            <td>{{$row->price->price}}</td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>

                                <a href="{{route('revision_requests.edit',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">تعديل
                                    </button>
                                </a>

                                <a href="{{route('revision_requests.show',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-primary waves-effect waves-light">عرض
                                    </button>
                                </a>


                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#mody{{$row->id}}"> ارسال الرد
                                </button>


                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('revision_requests.destroy',$row->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->



                        <div id="mody{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">ارسال الرد</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>

                                    <form method="post" enctype="multipart/form-data"
                                          action="{{route('send_mail_pdf')}}">
                                        @csrf
                                        <div class="modal-body">
                                            {{--                                            <h5 class="font-16">هل تريد الحذف ؟</h5>--}}
                                            <input type="hidden" name="email" value="{{$row->email}}">
                                            <div class="form-group">
                                                <label for="exampleInputabout_us">النص</label>
                                                <textarea name="text" class="form-control"
                                                          placeholder="النص">{{old('text')}}</textarea>
                                                @if ($errors->has('text'))
                                                    <small class="text-danger">{{ $errors->first('text') }}</small>
                                                @endif
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputabout_us">ارفاق ملف</label>
                                                <input type="file" name="document" class="form-control"
                                                       placeholder="ارفاق ملف">
                                                @if ($errors->has('document'))
                                                    <small class="text-danger">{{ $errors->first('document') }}</small>
                                                @endif
                                            </div>

                                        </div>
                                        <div class="modal-footer">


                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">ارسال
                                            </button>


                                        </div>
                                    </form>

                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
