<?php $__env->startSection('title', "طلبات المشتركين"); ?>
<?php $__env->startSection('content'); ?>



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">طلبات المشتركين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                

                <h4 class="header-title">طلبات المشتركين</h4>
                
                
                
                
                
                
                

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الرمز</th>
                        <th>الاسم</th>
                        <th>البريد الالكترونى</th>
                        <th>الحالة</th>
                        <th>نوع الدفع</th>
                        <th>المفترض دفعه</th>

                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    <?php $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>

                            <td><?php echo e($i); ?></td>
                            <td><?php echo e($row->code); ?></td>
                            <td><?php echo e($row->name); ?></td>
                            <td><?php echo e($row->email); ?></td>
                            <td><?php echo e($status[$row->status]); ?></td>
                            <td><?php echo e($payment_type[$row->payment_type]); ?></td>
                            <td><?php echo e($row->price->price); ?></td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal<?php echo e($row->id); ?>">حذف
                                </button>

                                <a href="<?php echo e(route('revision_requests.edit',$row->id)); ?>">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">تعديل
                                    </button>
                                </a>

                                <a href="<?php echo e(route('revision_requests.show',$row->id)); ?>">
                                    <button type="button"
                                            class="btn btn-primary waves-effect waves-light">عرض
                                    </button>
                                </a>


                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#mody<?php echo e($row->id); ?>"> ارسال الرد
                                </button>


                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="<?php echo e(route('revision_requests.destroy',$row->id)); ?>">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->



                        <div id="mody<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">ارسال الرد</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>

                                    <form method="post" enctype="multipart/form-data"
                                          action="<?php echo e(route('send_mail_pdf')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <div class="modal-body">
                                            
                                            <input type="hidden" name="email" value="<?php echo e($row->email); ?>">
                                            <div class="form-group">
                                                <label for="exampleInputabout_us">النص</label>
                                                <textarea name="text" class="form-control"
                                                          placeholder="النص"><?php echo e(old('text')); ?></textarea>
                                                <?php if($errors->has('text')): ?>
                                                    <small class="text-danger"><?php echo e($errors->first('text')); ?></small>
                                                <?php endif; ?>
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputabout_us">ارفاق ملف</label>
                                                <input type="file" name="document" class="form-control"
                                                       placeholder="ارفاق ملف">
                                                <?php if($errors->has('document')): ?>
                                                    <small class="text-danger"><?php echo e($errors->first('document')); ?></small>
                                                <?php endif; ?>
                                            </div>

                                        </div>
                                        <div class="modal-footer">


                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">ارسال
                                            </button>


                                        </div>
                                    </form>

                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/educourses/resources/views/admin/revision_requests/index.blade.php ENDPATH**/ ?>